<template>
  <v-layout
    wrap
    class="writing-header px-1"
    :class="{'my-2': $vuetify.breakpoint.lgAndUp, 'px-2' : $vuetify.breakpoint.mdAndDown}"
    align-start
    justify-space-between
  >
    <v-container
      align-center
      :fluid="$vuetify.breakpoint.mdAndDown"
      class="py-0"
      :class="{'pa-0': $vuetify.breakpoint.mdAndDown}"
    >
      <v-layout align-center justify-space-between>
        <v-flex xs8 sm9 md9 lg4>
          <v-layout wrap class="writing-header__title">
            <v-flex xs12>
              <h1 class="indigo--text">Writing</h1>
            </v-flex>
            <v-flex xs12>
              <h2 class="indigo--text">{{title}}</h2>
            </v-flex>
          </v-layout>
        </v-flex>
        <v-flex xs4 sm3 lg6 class="pl-2">
          <v-layout justify-space-between>
            <v-flex xs8>
              <tooltip-header/>
            </v-flex>
            <v-flex xs3>
              <heart-icon v-if="$vuetify.breakpoint.lgAndUp" :lifes="lifes"/>
            </v-flex>
            <v-flex xs4 v-if="$vuetify.breakpoint.mdAndDown">
              <exit-button @exit="exit"/>
            </v-flex>
          </v-layout>
        </v-flex>
      </v-layout>
    </v-container>
  </v-layout>
</template>

<script>
import HeartIcon from '../Footer/Components/HeartIcon';
import TooltipHeader from './components/TooltipHeader';
import ExitButton from './components/ExitButton';

export default {
  components: {
    TooltipHeader,
    HeartIcon,
    ExitButton,
  },
  props: {
    title: {
      type: String,
      default: () => '',
    },
    lifes: {
      type: Number,
      default: () => 3,
    },
  },

  methods: {
    exit() {
      this.$emit('exit');
    },
  },
};
</script>

<style lang="sass">
@import ~@/styles/defaults/variables
@import ~@/styles/defaults/mobileFirst

.writing-header
  border-bottom: 0.25px solid #BDBDBD
  user-select: none
  padding: 8px 0px
  background: #fff
  &__title
      paddgin: 0px 5px
  & h1, h2
      font-family: Helvetica
      font-weight: 600
      width: 100%
  & h1
      font-size: 1em
  & h2
      font-size: 0.9em
  +media-min-sm()
    & h1
      font-size: 1.2em
    & h2
      font-size: 1em
  +media-min-lg()
    background: transparent
    padding: 0px
    border: none
    &__title
      paddgin: 0px 10px
    & h1
      font-size: 2em
    & h2
      font-size: 1.4em

</style>
